﻿/* Author: Jim-Kyrre Benjaminsen AKA Romfarer
 * License: This work is licensed under a Creative Commons Attribution-NonCommercial-NoDerivs 3.0 Unported License. 
 * http://creativecommons.org/licenses/by-nc-nd/3.0/
*/

using System;
using System.Collections.Generic;
using System.Text;

namespace Romfarer {
    class MVSnormal : MVS {

        public MVSnormal(LazorSystem system, List<LazorAimable> parts) : base(system, parts) { }
        

        override public void Activate() { }

        override public void MoveUp() {
            /*if (system.moveBoth || system.moveLeaderOnly)
                if (leader != null) mc.RotateUp(leader);*/
            //if (moveBoth || moveOthersOnly)
                foreach (LazorAimable l in parts)
                    mc.RotateUp(l.Lazor);
        }

        override public void MoveDown() {
            /*if (system.moveBoth || system.moveLeaderOnly)
                if (leader != null) mc.RotateDown(leader);*/
            //if (moveBoth || moveOthersOnly)
                foreach (LazorAimable l in parts)
                    mc.RotateDown(l.Lazor);
        }

        override public void MoveLeft() {
            /*if (system.moveBoth || system.moveLeaderOnly)
                if (leader != null) mc.RotateLeft(leader);*/
            //if (moveBoth || moveOthersOnly)
                foreach (LazorAimable l in parts)
                    mc.RotateLeft(l.Lazor);
        }

        override public void MoveRight() {
            /*if (system.moveBoth || system.moveLeaderOnly)
                if (leader != null) mc.RotateRight(leader);*/
            //if (moveBoth || moveOthersOnly)
                foreach (LazorAimable l in parts)
                    mc.RotateRight(l.Lazor);
        }

    }
}
